{% extends "base.html" %}
{% block app_content %}
<h1 class="display-4 pt-md-3">Search results: {{ query }}</h1>
    <table class="table">
    	<thead>
		<tr>
			<th>Nickname<sup>&dagger;</sup></th>
			<th>Advertised Bandwidth</th>
			<th>Country</th>
			<th>IPv4</th>
			<th>IPv6</th>
			<th>Flags</th>
			<th>DirPort</th>
			<th>Type</th>
		</tr>
	</thead>
    <tbody>
        {% for server_type in ['relays', 'bridges'] %}
        {% for server in results[server_type] %}
        {% if server['running'] == False %}
                <tr class="bg-danger text-light">
        {% elif server.get("overload_general_timestamp", None) != None %}
               <tr class="bg-warning">
        {% else %}
                <tr>
        {% endif %}
			<td>
                <a href="/rs/details/{{ server['fingerprint'] }}" -->
                {{ server['nickname'] }}
                </a>
            </td>
			<td>{{ server['advertised_bandwidth'] | human_Bps }}</td>
            <td>{{ server['country'] }}</td>
			<td>{{ server['or_v4_address'] }}</td>
			<td>{{ server['or_v6_address'] }}</td>
            <td>{{ " ".join(server['flags']) }}</td>
			<td>{{ server.get('dir_port', None) }}</td>
            <td>Relay</td>
            </tr>
        {% endfor %}
        {% endfor %}
    </tbody>
    </table>
{% endblock %}